{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}
    <main>
        <div class="row">
            <div class="col">
                <p>{{ user.disp_name }}でログイン中</p>
            </div>
        </div>
        {% include "toolbar.html" %}
        <div class="row">
            <div class="col align-self-start text-left">
                <form method="get" action="/settings">
                    <button class="btn btn-outline-danger" type="submit">更新モード</button>
                </form>
            </div>
        </div>

        <div class="head-tab-wrap">
            <input id="TAB-USER" type="radio" name="TAB" class="head-tab-switch" checked="checked"/><label class="head-tab-label" for="TAB-USER">ユーザ</label>
            <div class="head-tab-content">
                <form class="form-upload" method="post" action="/add_user" id="add_user">
                    <input type="hidden" name="id" value="{{ user.id }}">
                    <div class="form-user row">
                        <label for="user_username" class="col-5 col-form-label">ID</label>
                        <div class="col-7">
                            <input type="text" class="form-control" id="user_username" name="user_username" value="" placeholder="taro_yamada@sample.com" required>
                        </div>
                    </div>
                    <div class="form-user row">
                        <label for="user_disp_name" class="col-5 col-form-label">名前</label>
                        <div class="col-7">
                            <input type="text" class="form-control" id="user_disp_name" name="user_disp_name" value="" placeholder="山田 太郎" required>
                        </div>
                    </div>
                    <div class="form-user row">
                        <label for="user_password" class="col-5 col-form-label">パスワード</label>
                        <div class="col-7">
                            <input type="password" class="form-control" id="user_password" name="user_password" required>
                            <span id="buttonEye" class="glyphicon glyphicon-eye-open" onclick="pushHideButton()"></span>
                        </div>
                    </div>
                    <div class="form-user row">
                        <label for="user_authority" class="col-5 col-form-label">権限</label>
                        <div class="col-7">
                            <select class="form-control" id="user_authority" name="user_authority">
                                {% for auth_value in user_authority %}
                                    <option value="{{ auth_value.name }}" selected>{{ auth_value.name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                    <button class="btn btn-outline-primary" type="submit" name="submit" value="add_user" form="add_user">保存</button>
                </form>
                <script>
                    function pushHideButton() {
                        var txtPass = document.getElementById("user_password");
                        var btnEye = document.getElementById("buttonEye");
                        if (txtPass.type === "text") {
                            txtPass.type = "password";
                            btnEye.className = "glyphicon glyphicon-eye-open";
                        } else {
                            txtPass.type = "text";
                            btnEye.className = "glyphicon glyphicon-eye-close";
                        }
                    }
                </script>
            </div>
        </div>
    </main>
{% endblock %}
